image: node:16-alpine
cache:
    paths:
        - node_modules/

pages:
    script:
        - npm ci
        - CI=false npm run build
    only:
        variables:
            - $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
    environment: production
    artifacts:
        paths:
            - build